apiVersion: v1
kind: DeploymentConfig
metadata:
  annotations:
    kompose.service.expose: "true"
    kompose.service.type: LoadBalancer
  creationTimestamp: null
  labels:
    io.kompose.service: api-app
  name: api-app
spec:
  replicas: 1
  selector:
    io.kompose.service: api-app
  strategy:
    resources: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: api-app
    spec:
      containers:
        - env:
            - name: API_ENDPOINT
              value: /api
            - name: API_URL_BASE
            - name: KEYCLOAK_BASE_URL
          image: ' '
          name: api-app
          ports:
            - containerPort: 80
          resources: {}
      hostname: api-app
      restartPolicy: Always
  test: false
  triggers:
    - type: ConfigChange
    - imageChangeParams:
        automatic: true
        containerNames:
          - api-app
        from:
          kind: ImageStreamTag
          name: api-app:latest
      type: ImageChange
status:
  availableReplicas: 0
  latestVersion: 0
  observedGeneration: 0
  replicas: 0
  unavailableReplicas: 0
  updatedReplicas: 0
